//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("main.cpp", MainForm);
USEFORM("..\scn\scn.cpp", Scen);
USEFORM("..\radar\adcdac.cpp", Radar);
USEFORM("..\about\about.cpp", AboutProg);
USEFORM("..\monitoring\monitoring.cpp", Mon);
USEFORM("..\telegram\telegram.cpp", Telegr);
USEFORM("..\afh\AFHforHFA.cpp", AFH);
USEFORM("..\obrion\obrion.cpp", Ion);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TMainForm), &MainForm);
                 Application->CreateForm(__classid(TMon), &Mon);
                 Application->CreateForm(__classid(TScen), &Scen);
                 Application->CreateForm(__classid(TRadar), &Radar);
                 Application->CreateForm(__classid(TAboutProg), &AboutProg);
                 Application->CreateForm(__classid(TTelegr), &Telegr);
                 Application->CreateForm(__classid(TAFH), &AFH);
                 Application->CreateForm(__classid(TIon), &Ion);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
